Attribute VB_Name = "modSysParsInfo"
Option Explicit
Public Declare Function SystemParametersInfo Lib "user32" Alias "SystemParametersInfoA" _
   (ByVal uAction As Long, ByVal uParam As Long, lpvParam As Any, ByVal fuWinIni As Long) As Long

Public Const SPIF_SENDWININICHANGE = &H2
Public Const SPIF_UPDATEINIFILE = &H1
Public Const SPIF_SENDCHANGE = SPIF_SENDWININICHANGE

Public Const SPI_GETACCESSTIMEOUT = 60
Public Const SPI_GETANIMATION = 72
Public Const SPI_GETBEEP = 1
Public Const SPI_GETBORDER = 5
Public Const SPI_GETDEFAULTINPUTLANG = 89
Public Const SPI_GETDRAGFULLWINDOWS = 38
Public Const SPI_GETFASTTASKSWITCH = 35
Public Const SPI_GETFILTERKEYS = 50
Public Const SPI_GETFONTSMOOTHING = 74
Public Const SPI_GETGRIDGRANULARITY = 18
Public Const SPI_GETHIGHCONTRAST = 66
Public Const SPI_GETICONMETRICS = 45
Public Const SPI_GETICONTITLELOGFONT = 31
Public Const SPI_GETICONTITLEWRAP = 25
Public Const SPI_GETKEYBOARDDELAY = 22
Public Const SPI_GETKEYBOARDPREF = 68
Public Const SPI_GETKEYBOARDSPEED = 10
Public Const SPI_GETLOWPOWERACTIVE = 83
Public Const SPI_GETLOWPOWERTIMEOUT = 79
Public Const SPI_GETMENUDROPALIGNMENT = 27
Public Const SPI_GETMINIMIZEDMETRICS = 43
Public Const SPI_GETMOUSE = 3
Public Const SPI_GETMOUSEKEYS = 54
Public Const SPI_GETMOUSETRAILS = 94
Public Const SPI_GETNONCLIENTMETRICS = 41
Public Const SPI_GETPOWEROFFACTIVE = 84
Public Const SPI_GETPOWEROFFTIMEOUT = 80
Public Const SPI_GETSCREENREADER = 70
Public Const SPI_GETSCREENSAVEACTIVE = 16
Public Const SPI_GETSCREENSAVETIMEOUT = 14
Public Const SPI_GETSERIALKEYS = 62
Public Const SPI_GETSHOWSOUNDS = 56
Public Const SPI_GETSOUNDSENTRY = 64
Public Const SPI_GETSTICKYKEYS = 58
Public Const SPI_GETTOGGLEKEYS = 52
Public Const SPI_GETWINDOWSEXTENSION = 92
Public Const SPI_GETWORKAREA = 48
Public Const SPI_ICONHORIZONTALSPACING = 13
Public Const SPI_ICONVERTICALSPACING = 24
Public Const SPI_LANGDRIVER = 12
Public Const SPI_SCREENSAVERRUNNING = 97
Public Const SPI_SETACCESSTIMEOUT = 61
Public Const SPI_SETANIMATION = 73
Public Const SPI_SETBEEP = 2
Public Const SPI_SETBORDER = 6
Public Const SPI_SETCURSORS = 87
Public Const SPI_SETDEFAULTINPUTLANG = 90
Public Const SPI_SETDESKPATTERN = 21
Public Const SPI_SETDESKWALLPAPER = 20
Public Const SPI_SETDOUBLECLICKTIME = 32
Public Const SPI_SETDOUBLECLKHEIGHT = 30
Public Const SPI_SETDOUBLECLKWIDTH = 29
Public Const SPI_SETDRAGFULLWINDOWS = 37
Public Const SPI_SETDRAGHEIGHT = 77
Public Const SPI_SETDRAGWIDTH = 76
Public Const SPI_SETFASTTASKSWITCH = 36
Public Const SPI_SETFILTERKEYS = 51
Public Const SPI_SETFONTSMOOTHING = 75
Public Const SPI_SETGRIDGRANULARITY = 19
Public Const SPI_SETHANDHELD = 78
Public Const SPI_SETHIGHCONTRAST = 67
Public Const SPI_SETICONMETRICS = 46
Public Const SPI_SETICONS = 88
Public Const SPI_SETICONTITLELOGFONT = 34
Public Const SPI_SETICONTITLEWRAP = 26
Public Const SPI_SETKEYBOARDDELAY = 23
Public Const SPI_SETKEYBOARDPREF = 69
Public Const SPI_SETKEYBOARDSPEED = 11
Public Const SPI_SETLANGTOGGLE = 91
Public Const SPI_SETLOWPOWERACTIVE = 85
Public Const SPI_SETLOWPOWERTIMEOUT = 81
Public Const SPI_SETMENUDROPALIGNMENT = 28
Public Const SPI_SETMINIMIZEDMETRICS = 44
Public Const SPI_SETMOUSE = 4
Public Const SPI_SETMOUSEBUTTONSWAP = 33
Public Const SPI_SETMOUSEKEYS = 55
Public Const SPI_SETMOUSETRAILS = 93
Public Const SPI_SETNONCLIENTMETRICS = 42
Public Const SPI_SETPENWINDOWS = 49
Public Const SPI_SETPOWEROFFACTIVE = 86
Public Const SPI_SETPOWEROFFTIMEOUT = 82
Public Const SPI_SETSCREENREADER = 71
Public Const SPI_SETSCREENSAVEACTIVE = 17
Public Const SPI_SETSCREENSAVETIMEOUT = 15
Public Const SPI_SETSERIALKEYS = 63
Public Const SPI_SETSHOWSOUNDS = 57
Public Const SPI_SETSOUNDSENTRY = 65
Public Const SPI_SETSTICKYKEYS = 59
Public Const SPI_SETTOGGLEKEYS = 53
Public Const SPI_SETWORKAREA = 47

Public Const SPI_GETSNAPTODEFBUTTON = &H5F
Public Const SPI_SETSNAPTODEFBUTTON = &H60
Public Const SPI_GETMOUSEHOVERWIDTH = &H62
Public Const SPI_SETMOUSEHOVERWIDTH = &H63
Public Const SPI_GETMOUSEHOVERHEIGHT = &H64
Public Const SPI_SETMOUSEHOVERHEIGHT = &H65
Public Const SPI_GETMOUSEHOVERTIME = &H66
Public Const SPI_SETMOUSEHOVERTIME = &H67
Public Const SPI_GETWHEELSCROLLLINES = &H68
Public Const SPI_SETWHEELSCROLLLINES = &H69
Public Const SPI_GETMENUSHOWDELAY = &H6A
Public Const SPI_SETMENUSHOWDELAY = &H6B
Public Const SPI_GETSHOWIMEUI = &H6E
Public Const SPI_SETSHOWIMEUI = &H6F


'#if(WINVER >= = &H0500)
Public Const SPI_GETMOUSESPEED = &H70
Public Const SPI_SETMOUSESPEED = &H71
Public Const SPI_GETSCREENSAVERRUNNING = &H72
Public Const SPI_GETDESKWALLPAPER = &H73
Public Const SPI_GETACTIVEWINDOWTRACKING = &H1000
Public Const SPI_SETACTIVEWINDOWTRACKING = &H1001
Public Const SPI_GETMENUANIMATION = &H1002
Public Const SPI_SETMENUANIMATION = &H1003
Public Const SPI_GETCOMBOBOXANIMATION = &H1004
Public Const SPI_SETCOMBOBOXANIMATION = &H1005
Public Const SPI_GETLISTBOXSMOOTHSCROLLING = &H1006
Public Const SPI_SETLISTBOXSMOOTHSCROLLING = &H1007
Public Const SPI_GETGRADIENTCAPTIONS = &H1008
Public Const SPI_SETGRADIENTCAPTIONS = &H1009
Public Const SPI_GETKEYBOARDCUES = &H100A
Public Const SPI_SETKEYBOARDCUES = &H100B
Public Const SPI_GETMENUUNDERLINES = SPI_GETKEYBOARDCUES
Public Const SPI_SETMENUUNDERLINES = SPI_SETKEYBOARDCUES
Public Const SPI_GETACTIVEWNDTRKZORDER = &H100C
Public Const SPI_SETACTIVEWNDTRKZORDER = &H100D
Public Const SPI_GETHOTTRACKING = &H100E
Public Const SPI_SETHOTTRACKING = &H100F
Public Const SPI_GETMENUFADE = &H1012
Public Const SPI_SETMENUFADE = &H1013
Public Const SPI_GETSELECTIONFADE = &H1014
Public Const SPI_SETSELECTIONFADE = &H1015
Public Const SPI_GETTOOLTIPANIMATION = &H1016
Public Const SPI_SETTOOLTIPANIMATION = &H1017
Public Const SPI_GETTOOLTIPFADE = &H1018
Public Const SPI_SETTOOLTIPFADE = &H1019
Public Const SPI_GETCURSORSHADOW = &H101A
Public Const SPI_SETCURSORSHADOW = &H101B
Public Const SPI_GETMOUSESONAR = &H101C
Public Const SPI_SETMOUSESONAR = &H101D
Public Const SPI_GETMOUSECLICKLOCK = &H101E
Public Const SPI_SETMOUSECLICKLOCK = &H101F
Public Const SPI_GETMOUSEVANISH = &H1020
Public Const SPI_SETMOUSEVANISH = &H1021
Public Const SPI_GETFLATMENU = &H1022
Public Const SPI_SETFLATMENU = &H1023
Public Const SPI_GETDROPSHADOW = &H1024
Public Const SPI_SETDROPSHADOW = &H1025
Public Const SPI_GETUIEFFECTS = &H103E
Public Const SPI_SETUIEFFECTS = &H103F

Public Const SPI_GETFOREGROUNDLOCKTIMEOUT = &H2000
Public Const SPI_SETFOREGROUNDLOCKTIMEOUT = &H2001
Public Const SPI_GETACTIVEWNDTRKTIMEOUT = &H2002
Public Const SPI_SETACTIVEWNDTRKTIMEOUT = &H2003
Public Const SPI_GETFOREGROUNDFLASHCOUNT = &H2004
Public Const SPI_SETFOREGROUNDFLASHCOUNT = &H2005
Public Const SPI_GETCARETWIDTH = &H2006
Public Const SPI_SETCARETWIDTH = &H2007
Public Const SPI_GETMOUSECLICKLOCKTIME = &H2008
Public Const SPI_SETMOUSECLICKLOCKTIME = &H2009
Public Const SPI_GETFONTSMOOTHINGTYPE = &H200A
Public Const SPI_SETFONTSMOOTHINGTYPE = &H200B

'/* constants for SPI_GETFONTSMOOTHINGTYPE and SPI_SETFONTSMOOTHINGTYPE: */
Public Const FE_FONTSMOOTHINGSTANDARD = &H1
Public Const FE_FONTSMOOTHINGCLEARTYPE = &H2
Public Const FE_FONTSMOOTHINGDOCKING = &H8000

Public Const SPI_GETFONTSMOOTHINGCONTRAST = &H200C
Public Const SPI_SETFONTSMOOTHINGCONTRAST = &H200D
Public Const SPI_GETFOCUSBORDERWIDTH = &H200E
Public Const SPI_SETFOCUSBORDERWIDTH = &H200F
Public Const SPI_GETFOCUSBORDERHEIGHT = &H2010
Public Const SPI_SETFOCUSBORDERHEIGHT = &H2011

Private Const MAX_PATH As Long = 260

Public Function GetWheelScrollLines(lpLines As Long) As Boolean
   GetWheelScrollLines = False
   If SystemParametersInfo(SPI_GETWHEELSCROLLLINES, 0, lpLines, 0) Then GetWheelScrollLines = True
End Function
Public Function SwapMouseButtons(ByVal bSwap As Boolean) As Boolean
   SwapMouseButtons = False
   If SystemParametersInfo(SPI_SETMOUSEBUTTONSWAP, 0, bSwap, 0) Then SwapMouseButtons = True
End Function
'Public Function GetWallPaper(strWP As String) As Boolean
'   Dim strDummy As String
'
'   strDummy = String$(MAX_PATH, 0)
'   GetWallPaper = False
'   If SystemParametersInfo(SPI_GETDESKWALLPAPER, MAX_PATH, strDummy, 0) Then
'      strWP = Trim0(strDummy)
'      GetWallPaper = True
'   End If
'End Function
