Attribute VB_Name = "modProdSort"
Option Explicit
Public Const WM_USER As Long = &H400
Public Const WM_TIMER = &H113

'sendmessage variants
Public Declare Function SendMessageLong Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, wParam As Long, lParam As Any) As Long
Public Declare Function SendMessageAny Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, wParam As Any, lParam As Any) As Long
Public Declare Function SendMessageByNum Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function SendMessageString Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long

Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Declare Function EnumChildWindows Lib "user32" (ByVal hwndParent As Long, ByVal lpEnumFunc As Long, ByVal lParam As Long) As Long
Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function SetActiveWindow Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

'====== UPDOWN CONTROL =======================================================
Public Type UDACCEL
   nSec As Long
   nInc As Long
End Type

Public Const UDS_WRAP = &H1
Public Const UDS_SETBUDDYINT = &H2
Public Const UDS_ALIGNRIGHT = &H4
Public Const UDS_ALIGNLEFT = &H8
Public Const UDS_AUTOBUDDY = &H10
Public Const UDS_ARROWKEYS = &H20
Public Const UDS_HORZ = &H40
Public Const UDS_NOTHOUSANDS = &H80
Public Const UDS_HOTTRACK = &H100

Public Const UDM_SETRANGE = (WM_USER + 101)
Public Const UDM_GETRANGE = (WM_USER + 102)
Public Const UDM_SETPOS = (WM_USER + 103)
Public Const UDM_GETPOS = (WM_USER + 104)
Public Const UDM_SETBUDDY = (WM_USER + 105)
Public Const UDM_GETBUDDY = (WM_USER + 106)
Public Const UDM_SETACCEL = (WM_USER + 107)
Public Const UDM_GETACCEL = (WM_USER + 108)
Public Const UDM_SETBASE = (WM_USER + 109)
Public Const UDM_GETBASE = (WM_USER + 110)
Public Const UDM_SETRANGE32 = (WM_USER + 111)
Public Const UDM_GETRANGE32 = (WM_USER + 112)              ' wParam & lParam are LPINT
'Public Const UDM_SETUNICODEFORMAT = CCM_SETUNICODEFORMAT
'Public Const UDM_GETUNICODEFORMAT = CCM_GETUNICODEFORMAT
Public Const UDM_SETPOS32 = (WM_USER + 113)
Public Const UDM_GETPOS32 = (WM_USER + 114)

Public Const WM_NOTIFY = &H4E
Public Type NMHDR
   hwndFrom As Long                                        ' Window handle of control sending message          4
   idFrom As Long                                          ' Identifier of control sending message          4
   code As Long                                            ' Specifies the notification code               4
End Type                                                   '=12

Public Type NMUPDOWN
   hdr As NMHDR
   iPos As Long
   iDelta As Long
End Type

Public Const H_MAX As Long = &HFFFF + 1
Public Const UDN_FIRST = (H_MAX - 721)                     '// updown
Public Const UDN_LAST = (H_MAX - 740)
Public Const UDN_DELTAPOS = (UDN_FIRST - 1)

Public Declare Function CreateUpDownControl Lib "comctl32.dll" (ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, _
                                                                ByVal hParent As Long, ByVal nID As Long, ByVal hInst As Long, _
                                                                ByVal hBuddy As Long, ByVal nUpper As Long, ByVal nLower As Long, ByVal nPos As Long) As Long

'button
Public Const BM_CLICK = &HF5&

'list box
Public Const LB_GETCOUNT = &H18B
Public Const LB_GETTEXT = &H189
Public Const LB_GETTEXTLEN = &H18A
Public Const LB_ADDSTRING = &H180
Public Const LB_RESETCONTENT = &H184
Public Const LB_GETTOPINDEX = &H18E
Public Const LB_SETTOPINDEX = &H197
Public Const LB_GETCURSEL = &H188

Public Const LB_FINDSTRING = &H18F
Public Const LB_SELECTSTRING = &H18C
Public Const LB_SETCURSEL = &H186
Public Const LB_SETSEL = &H185
Public Const LB_FINDSTRINGEXACT = &H1A2
Public Const LB_GETITEMRECT = &H198
Public Const LB_GETITEMDATA = &H199
Public Const LB_ERR = -1

Public Const LBS_EXTENDEDSEL = &H800&
Public Const LBS_MULTIPLESEL = &H8&

'window/mouse
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const WM_MBUTTONDOWN = &H207
Public Const WM_MBUTTONUP = &H208
Public Const WM_MOUSEMOVE = &H200
Public Const WM_RBUTTONDOWN = &H204
Public Const WM_RBUTTONUP = &H205
Public Const WM_MOUSEWHEEL = &H20A
Public Const WHEEL_DELTA = 120

Public Type RECT
   Left As Long
   Top As Long
   Right As Long
   Bottom As Long
End Type

Public Type POINTAPI
   x As Long
   y As Long
End Type

Public Type MINMAXINFO
   ptReserved As POINTAPI
   ptMaxSize As POINTAPI
   ptMaxPosition As POINTAPI
   ptMinTrackSize As POINTAPI
   ptMaxTrackSize As POINTAPI
End Type
Public Const WM_GETMINMAXINFO = &H24

Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSource As Any, ByVal dwLength As Long)
Public Declare Sub MoveMemory Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSource As Any, ByVal dwLength As Long)
Public Declare Sub FillMemory Lib "kernel32" Alias "RtlFillMemory" (pDest As Any, ByVal dwLength As Long, ByVal bFill As Byte)
Public Declare Sub ZeroMemory Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, ByVal dwLength As Long)

Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, _
                                                   ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
'setwindowpos
Public Const SWP_NOSIZE = &H1
Public Const SWP_NOMOVE = &H2
Public Const SWP_NOACTIVATE = &H10
Public Const SWP_SHOWWINDOW = &H40
Public Const SWP_NOZORDER = &H4

Public Const HWND_NOTOPMOST = -2
Public Const HWND_TOPMOST = -1

Public Const WM_SETTEXT As Long = &HC
Public Const WM_VSCROLL As Long = &H115
Public Const WS_CHILD As Long = &H40000000
Public Const WS_VISIBLE As Long = &H10000000

'---------------------------------------------------------------------------------
Public Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function CreateWindowEx Lib "user32" Alias "CreateWindowExA" (ByVal dwExStyle As Long, ByVal lpClassName As String, ByVal lpWindowName As String, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hwndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, lpParam As Any) As Long
Public Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Public Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long

' This constant is used to refer to the Message Handling function in a given window
Public Const GWL_EXSTYLE As Long = (-20)
Public Const GWL_HINSTANCE As Long = (-6)
Public Const GWL_HWNDPARENT As Long = (-8)
Public Const GWL_ID As Long = (-12)
Public Const GWL_STYLE As Long = (-16)
Public Const GWL_USERDATA As Long = (-21)
Public Const GWL_WNDPROC As Long = (-4)
'
Public iLangIndex As Integer                               'listindex of language combo
Public arrProds() As String                                'array for product names
Public arrDlgTitle()                                       'As String                              'dialog title
Public arrMenu()                                           'As String                              'menu title
Public arrCmdUp()                                          'As String                                'up arrow caption
Public arrCmdDown()                                        'As String                              'down arrow caption
Public arrCmdFree()                                        'As String                              'free button caption

Public hWndLBFreeMove As Long
Public hWndListBox As Long
Public hWndLBUpArrow As Long
Public hWndLBDownArrow As Long
Public hWndDlg As Long
Public hWndDlgOK As Long
Public hWndDlgApply As Long
Public hWndDlgCancel As Long
Public hWndUD As Long
Public Const ID_UD = 100                                   'UD control ID
Public CATIA As Application                                'Object
Public oPP                                                 '(=oSel.Item2(1)=product)

Public OldWndProc As Long                                  ' Original window proc

Private m_wndprcNext As Long
#If DEBUGWINDOWPROC Then
   Private m_SCHook As WindowProcHook
#End If

Public Sub HookhWnd(hwnd)

#If DEBUGWINDOWPROC Then
   Set m_SCHook = CreateWindowProcHook
   With m_SCHook
      .SetMainProc AddressOf WndProc
      OldWndProc = SetWindowLong(hwnd, GWL_WNDPROC, .ProcAddress)
      .SetDebugProc OldWndProc
   End With
#Else
    OldWndProc = SetWindowLong(hwnd, GWL_WNDPROC, AddressOf WndProc)
#End If

End Sub
Public Sub UnHookhWnd(hwnd)
    SetWindowLong hwnd, GWL_WNDPROC, OldWndProc
End Sub

Public Function WndProc(ByVal hwnd As Long, ByVal uMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
   Dim strVal As String
   Dim i As Integer
   Dim lNewPos As Long
   Dim nmh As NMHDR
   Dim nmud As NMUPDOWN
   Dim pt As POINTAPI
   Dim mmi As MINMAXINFO

'Debug.Print uMsg, wParam, lParam
   Select Case uMsg
      Case WM_NOTIFY
         If (wParam = ID_UD) Then
            CopyMemory nmh, ByVal lParam, Len(nmh)
            If (nmh.code = UDN_DELTAPOS) Then
               CopyMemory nmud, ByVal lParam, Len(nmud)
'               Debug.Print nmud.iDelta, nmud.iPos
               If nmud.iDelta < 0 Then
                  UD1_DownClick
               Else
                  UD1_UpClick
               End If
            End If
'            Debug.Print "in notify"
         End If
      Case WM_GETMINMAXINFO
         CopyMemory mmi, ByVal lParam, LenB(mmi)
            mmi.ptMinTrackSize.x = 675
            mmi.ptMinTrackSize.y = 200
            mmi.ptMaxTrackSize.x = mmi.ptMaxTrackSize.x
            mmi.ptMaxTrackSize.y = mmi.ptMaxTrackSize.y
         
         CopyMemory ByVal lParam, mmi, LenB(mmi)
         WndProc = 0
'      Case WM_MOUSEMOVE
'      Case WM_LBUTTONDOWN
'      Case WM_LBUTTONUP
'      Case WM_MBUTTONDOWN, WM_MBUTTONUP
'         Debug.Print "in wm_M_button"
'      Case WM_RBUTTONDOWN, WM_RBUTTONUP
'         Debug.Print "in wm_R_button"
'      Case WM_MOUSEWHEEL
'         Debug.Print "in mousewheel"
'      Case WM_VSCROLL
'         Debug.Print "in wm_vscroll"
'      Case WM_TIMER
'         Debug.Print "in timer"
      Case Else

      ' Here, we forward all irrelevant messages on to the default message handler.
      WndProc = CallWindowProc(OldWndProc, hwnd, uMsg, wParam, lParam)
   End Select

End Function
'scroll selected product in vb list
Public Sub UD1_DownClick()
   Dim strDummy As String
   Dim iNewPos As Integer
   Dim iOldPos As Integer

   If frmProdSort.lb_Prods.SelCount = 1 Then                      'one entry needs to be selected
      iOldPos = frmProdSort.lb_Prods.ListIndex                    'get the index positon
      
      If iOldPos + 1 > frmProdSort.lb_Prods.ListCount - 1 Then
         iNewPos = 0                                  'wrap when at end
      Else
         iNewPos = iOldPos + 1                        'or increase by one
      End If

      strDummy = frmProdSort.lb_Prods.List(iOldPos)               'buffer the current entry
      frmProdSort.lb_Prods.RemoveItem iOldPos                     'remove from old pos
      frmProdSort.lb_Prods.AddItem strDummy, iNewPos              'insert at new pos
      frmProdSort.lb_Prods.ListIndex = iNewPos                    'adjust index
   End If
End Sub

'scroll selected product in vb list
Public Sub UD1_UpClick()
   Dim strDummy As String
   Dim iNewPos As Integer
   Dim iOldPos As Integer

   If frmProdSort.lb_Prods.SelCount = 1 Then
      iOldPos = frmProdSort.lb_Prods.ListIndex

      If iOldPos - 1 < 0 Then
         iNewPos = frmProdSort.lb_Prods.ListCount - 1
      Else
         iNewPos = iOldPos - 1                        'or decrease by one
      End If

      strDummy = frmProdSort.lb_Prods.List(iOldPos)
      frmProdSort.lb_Prods.RemoveItem iOldPos                     'remove from old pos
      frmProdSort.lb_Prods.AddItem strDummy, iNewPos              'insert at new pos
      frmProdSort.lb_Prods.ListIndex = iNewPos
   End If
End Sub

'---------------------------------------------------------------------------------------
' Procedure : GetProductsListFromList
' Author    : jherzog
' Date      : 13.02.2015
' Time      : 15:03
' Languages : VB6 Pro SP6
' V5-Release: V5R19/21
' Purpose   : Read entries in 'Graph tree reordering' list box
'           : adds the entries to an array and a list box
' Parms     : strDlgWnd: string 'Graph tree reordering' (as of now)
' Ret. Value: (arrList: Array of list box entries
'
' Syntax    : GetProductsListFromList "Graph tree reordering", arrProds
'
' Prereqs   : opened catia dialog 'Graph tree reordering'
' Remarks   : Since the VB-List box is not sorted, the array is used as buffer and sorted
'           : May crash, if another programme titled 'Graph tree reordering' exists
'---------------------------------------------------------------------------------------
'
Public Sub GetProductsListFromList(strDlgWnd As String)
   Dim strBuff As String
   Dim iNum As Integer
   Dim n As Integer
   Dim iTextLen As Integer

   On Error GoTo GetProductsListFromList_Error

   frmProdSort.lb_Prods.Clear                                        'clear list
   
   hWndDlg = FindWindow(vbNullString, strDlgWnd)                     'get parent handle
   If hWndDlg = 0 Then                                               'no such window
      MsgBox "Dialog not found!", vbOKOnly Or vbCritical, "GetProductsList"
      Exit Sub
   End If
   EnumChildWindows hWndDlg, AddressOf EnumChildProc, ByVal 0&       'get children handles

   iNum = SendMessageByNum(hWndListBox, LB_GETCOUNT, 0&, 0&)         'get number of entries
   ReDim arrProds(iNum - 1)
   
   For n = 0 To iNum - 1
      iTextLen = SendMessageByNum(hWndListBox, LB_GETTEXTLEN, n, 0&)
      strBuff = Space$(iTextLen)
      SendMessageString hWndListBox, LB_GETTEXT, n, strBuff          'read lb entry text
      frmProdSort.lb_Prods.AddItem strBuff                           'add to list
      arrProds(n) = strBuff                                          'add to array
   Next

Exit Sub
'---------------------------------------------------------------------------------------
GetProductsListFromList_Error:
   Dim errMsg As String
   Dim errRet As VbMsgBoxResult

   Select Case Err.Number
'       Case 438
'       Case -2147467259
       Case Else
         errMsg = Err.Number & ": " & Err.Description & " in procedure GetProductsListFromList"
         errRet = MsgBox(errMsg, vbOKOnly, "GetProductsListFromList")
   End Select

   'Resume Next                                          'fall thru to quit sub
'---------------------------------------------------------------------------------------

End Sub

'---------------------------------------------------------------------------------------
' Procedure : EnumChildProc
' Author    : jherzog
' Date      : 13.02.2015
' Time      : 15:14
' Languages : VB6 Pro SP6
' V5-Release: V5R19/21
' Purpose   : Find and identify child windows
' Parms     : hwndChild: handle to a child window
'           : lParam: not used
' Ret. Value: Handles to three buttons and the list box holding the product entries
'           ' The handles are declared 'Public'
' Syntax    : - (callback function)
'
' Prereqs   : Call to EnumChildWindows
' Remarks   : Button and list box identifiers supplied by Spy++
'---------------------------------------------------------------------------------------
'
Public Function EnumChildProc(ByVal hwndChild As Long, ByVal lParam As Long) As Long
   Dim strBuff As String                                    'string buffer
   
   strBuff = Space$(GetWindowTextLength(hwndChild) + 1)     'Get the windowtext length
   GetWindowText hwndChild, strBuff, Len(strBuff)           'get the window text
   strBuff = Left$(strBuff, Len(strBuff) - 1)               'remove the last Chr$(0)
   
   Select Case strBuff
      Case "OK"                                       'look for OK
         hWndDlgOK = hwndChild
      Case "Apply"                                       'look for apply
         hWndDlgApply = hwndChild
      Case "Cancel"                                       'look for cancel
         hWndDlgCancel = hwndChild
      
      Case "ListProd"                                       'look for 'ListProd'
         hWndListBox = hwndChild                            'assign to public handle
      Case arrCmdUp(iLangIndex) '  "Move Up", "Nach oben verschieben"               'look for 'MoveUp'
         hWndLBUpArrow = hwndChild
      Case arrCmdDown(iLangIndex)  '"Move Down", "Nach unten verschieben"            'look for 'MoveDown'
         hWndLBDownArrow = hwndChild
      Case arrCmdFree(iLangIndex) ' "Free Move", "Freies Verschieben"                'look for 'MoveDown'
         hWndLBFreeMove = hwndChild
      Case Else
   End Select
   EnumChildProc = 1                                        'continue enumeration
End Function

' QuickSort-Algorithmus
' Autor:   Dieter Otter
' www.tools4vb.de
'
' vSort() : zu sortierendes Array
' lngStart, lngEnd: zu sortierender Bereich
' ==========================================
Public Sub QuickSort(vSort As Variant, _
  Optional ByVal lngStart As Variant, _
  Optional ByVal lngEnd As Variant)
 
   ' Wird die Bereichsgrenze nicht angegeben,
   ' so wird das gesamte Array sortiert
   
   If IsMissing(lngStart) Then lngStart = LBound(vSort)
   If IsMissing(lngEnd) Then lngEnd = UBound(vSort)
   
   Dim i As Long
   Dim j As Long
   Dim h As Variant
   Dim x As Variant
   
   i = lngStart
   j = lngEnd
   x = vSort((lngStart + lngEnd) / 2)
   
   ' Array aufteilen
   Do
   
      While (vSort(i) < x)
         i = i + 1
      Wend
      While (vSort(j) > x)
         j = j - 1
      Wend
      
      If (i <= j) Then
         ' Wertepaare miteinander tauschen
         h = vSort(i)
         vSort(i) = vSort(j)
         vSort(j) = h
         i = i + 1
         j = j - 1
      End If
   Loop Until (i > j)
   
   ' Rekursion (Funktion ruft sich selbst auf)
   If (lngStart < j) Then QuickSort vSort, lngStart, j
   If (i < lngEnd) Then QuickSort vSort, i, lngEnd
End Sub


'---------------------------------------------------------------------------------------------
' Procedure : SetTopMost
' Author    : jherzog
' Date      : 11.07.2014
' Time      : 19:50
' Languages : VB6 Pro
' V5-Release: V5R19/21
' Purpose   : Set/Unset window topmost attribute
' Parms     : hWndCaller: Handle of calling window
' Ret. Value: -
'
' Syntax    : SetTopMost hWnd, True
'---------------------------------------------------------------------------------------
'
Public Sub SetTopMost(hWndCaller As Long, bOnOff As Boolean)
   Dim ret As Long
   
   If bOnOff Then          ' Turn on the TopMost attribute.
       ret = SetWindowPos(hWndCaller, HWND_TOPMOST, 0, 0, 0, 0, _
         SWP_NOACTIVATE Or SWP_NOSIZE Or SWP_NOMOVE)
   Else                    ' Turn off the TopMost attribute.
       ret = SetWindowPos(hWndCaller, HWND_NOTOPMOST, 0, 0, 0, 0, _
         SWP_NOACTIVATE Or SWP_NOSIZE Or SWP_NOMOVE)
   End If
End Sub

Sub GetCatiaObjectProdSort()
    
   On Error Resume Next                                     'Disable automatic error handling
   Set CATIA = GetObject(, "CATIA.Application")

   If (Err.Number <> 0) Then                                'Manually handle all errors
       MsgBox Err.Description & vbCrLf & "Is Catia running?" _
         & vbCrLf & "Trying to start Catia!" _
         , vbOKOnly Or vbInformation, "GetCatiaObject"
       
       On Error GoTo 0                                      'Invalidates the Resume Next and clears the error
       
       DoEvents
       Set CATIA = CreateObject("CATIA.Application")        'try to start catia
      
       Do                                                   'wait for it
          If Not CATIA Is Nothing Then                      'then it's something
             Exit Do
          End If
          DoEvents
       Loop
       CATIA.Visible = True                                 'show the main window
   End If
   On Error GoTo 0                                          'Invalidates the Resume Next and clears the error
End Sub

'---------------------------------------------------------------------------------------
' Procedure : HiWord/LoWord
' Author    : jherzog
' Date      : 20.07.2014
' Time      : 17:58
' Languages : VB6 Pro
' V5-Release: V5R19/21
' Purpose   : retrieve the value of the hi/lo byte
' Parms     : a long integer
' Ret. Value: the hi/lo byte
'
' Syntax    : HiWord(lBignumber)
'---------------------------------------------------------------------------------------
'
Public Function HIWORD(dwValue As Long) As Integer
  MoveMemory HIWORD, ByVal VarPtr(dwValue) + 2, 2
End Function

Public Function LOWORD(dwValue As Long) As Integer
  MoveMemory LOWORD, dwValue, 2
End Function

' Combines two integers into a long integer
Public Function MAKELONG(wLow As Long, wHigh As Long) As Long
  MAKELONG = LOWORD(wLow) Or (&H10000 * LOWORD(wHigh))
End Function

' Combines two integers into a long integer
Public Function MAKELPARAM(wLow As Long, wHigh As Long) As Long
  MAKELPARAM = MAKELONG(wLow, wHigh)
End Function

Sub Scramble(lb As ListBox)
   Dim NumberOfElements As Integer
   Dim zRnd As Integer
   Dim strTmp As String
   Dim zI As Integer
   
   NumberOfElements = lb.ListCount
   Call Randomize '(NumberOfElements)
   
   For zI = 0 To NumberOfElements - 1
      zRnd = Int((NumberOfElements * Rnd) + 1)
      Debug.Print zI, zRnd
      If zRnd <> zI Then
         strTmp = lb.List(zI)          'buffer
         lb.List(zI) = lb.List(zRnd)   'copy
         lb.List(zRnd) = strTmp        'restore
      End If
   Next
   
End Sub

Function GetTaskBarHeight() As Long
   Dim lScreenHeight As Long
   Dim rc As RECT
   
   lScreenHeight = GetSystemMetrics(SM_CYSCREEN)
   SystemParametersInfo SPI_GETWORKAREA, 0&, rc, 0&
   GetTaskBarHeight = lScreenHeight - rc.Bottom + rc.Top
End Function
